Subject: clisp: ftbfs [sparc] *** - quotient çççç
From: Blars Blarson <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Sat, 15 Apr 2006 11:00:15 -0700

Package: clisp
Version: 1:2.38-3
Severity: important
Justification: no longer builds from source

clisp failed to build on a sparc buildd and my sparc pbuilder with
similar errors.

buildd:

./lisp.run -B . -N locale -Efile UTF-8 -Eterminal UTF-8 -Emisc 1:1 -norc -m 1400KW -x "(and (load \"init.lisp\") (sys::%saveinitmem) (ext::exit)) (ext::exit t)"
  i i i i i i i       ooooo    o        ooooooo   ooooo   ooooo
  I I I I I I I      8     8   8           8     8     o  8    8
  I  \ `+' /  I      8         8           8     8        8    8
   \  `-+-'  /       8         8           8      ooooo   8oooo
    `-__|__-'        8         8           8           8  8
        |            8     o   8           8     o     8  8
  ------+------       ooooo    8oooooo  ooo8ooo   ooooo   8

Copyright (c) Bruno Haible, Michael Stoll 1992, 1993
Copyright (c) Bruno Haible, Marcus Daniels 1994-1997
Copyright (c) Bruno Haible, Pierpaolo Bernardi, Sam Steingold 1998
Copyright (c) Bruno Haible, Sam Steingold 1999-2000
Copyright (c) Sam Steingold, Bruno Haible 2001-2006

;; Loading file defseq.lisp ...
;; Loaded file defseq.lisp
;; Loading file backquote.lisp ...
;; Loaded file backquote.lisp
;; Loading file defmacro.lisp ...
;; Loaded file defmacro.lisp
;; Loading file macros1.lisp ...
;; Loaded file macros1.lisp
;; Loading file macros2.lisp ...
;; Loaded file macros2.lisp
;; Loading file defs1.lisp ...
*** - quotient çççççççç0çççççççç0çççççççç0çççççççç0çççççççç0çççççççç0çççççççç / çççççççç is not an integer
Bye.
make[1]: *** [interpreted.mem] Error 1
make[1]: Leaving directory `/build/buildd/clisp-2.38/debian/build'

pbuilder:

./lisp.run -B . -N locale -Efile UTF-8 -Eterminal UTF-8 -Emisc 1:1 -norc -m 1400
KW -x "(and (load \"init.lisp\") (sys::%saveinitmem) (ext::exit)) (ext::exit t)"
  i i i i i i i       ooooo    o        ooooooo   ooooo   ooooo
  I I I I I I I      8     8   8           8     8     o  8    8
  I  \ `+' /  I      8         8           8     8        8    8
   \  `-+-'  /       8         8           8      ooooo   8oooo
    `-__|__-'        8         8           8           8  8
        |            8     o   8           8     o     8  8
  ------+------       ooooo    8oooooo  ooo8ooo   ooooo   8

Copyright (c) Bruno Haible, Michael Stoll 1992, 1993
Copyright (c) Bruno Haible, Marcus Daniels 1994-1997
Copyright (c) Bruno Haible, Pierpaolo Bernardi, Sam Steingold 1998
Copyright (c) Bruno Haible, Sam Steingold 1999-2000
Copyright (c) Sam Steingold, Bruno Haible 2001-2006

;; Loading file defseq.lisp ...
;; Loaded file defseq.lisp
;; Loading file backquote.lisp ...
;; Loaded file backquote.lisp
;; Loading file defmacro.lisp ...
;; Loaded file defmacro.lisp
;; Loading file macros1.lisp ...
;; Loaded file macros1.lisp
;; Loading file macros2.lisp ...
;; Loaded file macros2.lisp
;; Loading file defs1.lisp ...
;; Loaded file defs1.lisp
;; Loading file lambdalist.lisp ...
;; Loaded file lambdalist.lisp
;; Loading file places.lisp ...
;; Loaded file places.lisp
;; Loading file floatprint.lisp ...
;; Loaded file floatprint.lisp
;; Loading file defpackage.lisp ...
;; Loaded file defpackage.lisp
;; Loading file type.lisp ...
;;  Loading file subtypep.lisp ...
;;  Loaded file subtypep.lisp
;; Loaded file type.lisp
;; Loading file clos-package.lisp ...
;; Loaded file clos-package.lisp
;; Loading file clos-macros.lisp ...
;; Loaded file clos-macros.lisp
;; Loading file clos-class0.lisp ...
;; Loaded file clos-class0.lisp
;; Loading file clos-metaobject1.lisp ...
;; Loaded file clos-metaobject1.lisp
;; Loading file clos-slotdef1.lisp ...
;; Loaded file clos-slotdef1.lisp
;; Loading file clos-stablehash1.lisp ...
;; Loaded file clos-stablehash1.lisp
;; Loading file clos-specializer1.lisp ...
;; Loaded file clos-specializer1.lisp
;; Loading file clos-class1.lisp ...
;; Loaded file clos-class1.lisp
;; Loading file clos-class2.lisp ...
;; Loaded file clos-class2.lisp
;; Loading file clos-class3.lisp ...
*** - ALLOCATE-METAOBJECT-INSTANCE: length ¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿ should be of type (INTEGER (0) (¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿0¿¿¿¿¿¿¿¿))
Bye.
make[1]: *** [interpreted.mem] Error 1
make[1]: Leaving directory `/tmp/buildd/clisp-2.38/debian/build'
make: *** [build-stamp] Error 2
pbuilder: Failed autobuilding of package